<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.layout.internal.model.listener.LayoutModelListener">
  <service>
    <provide interface="com.liferay.portal.kernel.model.ModelListener"/>
  </service>
  <reference name="_clientExtensionEntryRelLocalService" interface="com.liferay.client.extension.service.ClientExtensionEntryRelLocalService" field="_clientExtensionEntryRelLocalService"/>
  <reference name="_friendlyURLEntryLocalService" interface="com.liferay.friendly.url.service.FriendlyURLEntryLocalService" field="_friendlyURLEntryLocalService"/>
  <reference name="_language" interface="com.liferay.portal.kernel.language.Language" field="_language"/>
  <reference name="_layoutClassedModelUsageLocalService" interface="com.liferay.layout.service.LayoutClassedModelUsageLocalService" field="_layoutClassedModelUsageLocalService"/>
  <reference name="_layoutFriendlyURLEntryHelper" interface="com.liferay.layout.friendly.url.LayoutFriendlyURLEntryHelper" field="_layoutFriendlyURLEntryHelper"/>
  <reference name="_layoutLocalizationLocalService" interface="com.liferay.layout.service.LayoutLocalizationLocalService" field="_layoutLocalizationLocalService"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.layout.internal.model.listener.LayoutModelListener"/>
</scr:component>
